Get a rubric template by ID
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/assignment-grader/rubric-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/assignment-grader/rubric-templates/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/assignment-grader/rubric-templates/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "<string>",
"name": "<string>",
"criteria": [
{
"title": "<string>",
"pointsPossible": 123,
"description": "<string>"
}
],
"organizationId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"assignmentContent": "<string>"
}Assignment Grader
Get a rubric template by ID
GET
/
api
/
v1
/
assignment-grader
/
rubric-templates
/
{id}
Get a rubric template by ID
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/assignment-grader/rubric-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/assignment-grader/rubric-templates/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/assignment-grader/rubric-templates/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "<string>",
"name": "<string>",
"criteria": [
{
"title": "<string>",
"pointsPossible": 123,
"description": "<string>"
}
],
"organizationId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"assignmentContent": "<string>"
}Authorizations
x-api-keybearerAuth
API Key for server-to-server authentication. Resolves to the owning organization.
Path Parameters
Rubric template ID
Response
Rubric template retrieved
Template ID
Template name
Grading criteria
Show child attributes
Show child attributes
Owning organization ID
User who created the template
Creation timestamp
Update timestamp
Template description
Default source material attached to this template
Was this page helpful?